Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved] Blocked packages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
conoscenza
Tux's lil' helper
Tux's lil' helper


Joined: 25 Dec 2011
Posts: 105
Location: Spinazzola (bt) | Brescia | Parma

PostPosted: Mon Mar 19, 2012 5:43 pm    Post subject: [Solved] Blocked packages Reply with quote

Hi to all!
I try to do: "emerge -DNup world" to see which package was to upgrade.
But the output is:
Quote:

localhost / # emerge -DNup world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] app-emulation/emul-linux-x86-baselibs-20120127 [20110928]
[ebuild N ] app-emulation/emul-linux-x86-db-20120127 USE="-development"
[ebuild NS ~] sys-kernel/gentoo-sources-3.2.11 [3.0, 3.1.0, 3.2.9] USE="-build -deblob -symlink"
[ebuild U ] media-libs/libmad-0.15.1b-r7 [0.15.1b-r6] USE="static-libs%*"
[ebuild U ] sys-apps/portage-2.1.10.49 [2.1.10.44] USE="(-pypy1_8) -xattr%"
[ebuild U ] dev-python/dbus-python-1.0.0 [0.84.0]
[ebuild U ] media-libs/taglib-1.7-r1 [1.7]
[ebuild R ] media-libs/ftgl-2.1.3_rc5 USE="static-libs%*"
[ebuild U ] net-print/cups-pdf-2.6.1 [2.4.8]
[ebuild U ] x11-themes/gnome-themes-standard-3.2.1 [3.0.2]
[ebuild R ] media-video/mplayer-1.0_rc4_p20110322-r1 USE="(-esd%)"
[ebuild U ] dev-libs/libgdata-0.8.1-r2 [0.8.1-r1]
[ebuild R ] media-plugins/gst-plugins-meta-0.10-r6 USE="(-esd%)"
[ebuild R ] media-video/totem-2.32.0-r2 USE="(-galago%)"
[ebuild R ] gnome-base/libgnome-2.32.1 USE="(-esd%)"
[ebuild U ] app-emulation/emul-linux-x86-xlibs-20120127 [20110928]
[ebuild U ] app-emulation/emul-linux-x86-opengl-20120127 [20110928]
[ebuild U ] app-emulation/emul-linux-x86-gtklibs-20120127 [20110928]
[ebuild U ] app-emulation/emul-linux-x86-medialibs-20120127 [20110928]
[ebuild U ] app-emulation/emul-linux-x86-soundlibs-20120127 [20110928]
[ebuild U ] app-emulation/emul-linux-x86-sdl-20120127 [20110928]
[ebuild U ] app-emulation/emul-linux-x86-qtlibs-20120127 [20110928]
[ebuild R ] sys-fs/ntfs3g-2011.4.12 USE="ntfsprogs*"
[ebuild U ] sys-block/gparted-0.11.0 [0.10.0]
[blocks B ] sys-fs/ntfsprogs ("sys-fs/ntfsprogs" is blocking sys-fs/ntfs3g-2011.4.12)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-fs/ntfs3g-2011.4.12::gentoo, ebuild scheduled for merge) pulled in by
sys-fs/ntfs3g required by @selected
>=sys-fs/ntfs3g-2011.4.12[ntfsprogs] required by (sys-block/gparted-0.11.0::gentoo, ebuild scheduled for merge)
sys-fs/ntfs3g required by (app-admin/testdisk-6.12::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


!!! The following installed packages are masked:
- dev-python/compizconfig-python-0.8.4-r3::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Jorge Manuel B. S. Vicetto <jmbsvicetto@gentoo.org> (22 Jan 2012)
# Mask compiz for last-rites unless someone steps up
# to maintain it. Removal in 30 days.

- x11-libs/libcompizconfig-0.8.4-r2::gentoo (masked by: package.mask)
- x11-themes/emerald-themes-0.5.2::gentoo (masked by: package.mask)
- x11-wm/compiz-0.8.6-r3::gentoo (masked by: package.mask)
- x11-apps/fusion-icon-0.1-r2::gentoo (masked by: package.mask)
- x11-apps/ccsm-0.8.4-r1::gentoo (masked by: package.mask)
- x11-plugins/compiz-plugins-unsupported-0.8.4-r1::gentoo (masked by: package.mask)
- x11-wm/compiz-fusion-0.8.6::gentoo (masked by: package.mask)
- x11-plugins/compiz-plugins-extra-0.8.6-r1::gentoo (masked by: package.mask)
- x11-libs/compizconfig-backend-kconfig4-0.8.4::gentoo (masked by: package.mask)
- x11-libs/compizconfig-backend-gconf-0.8.4-r2::gentoo (masked by: package.mask)
- x11-libs/compiz-bcop-0.8.4::gentoo (masked by: package.mask)
- x11-wm/emerald-0.8.4-r2::gentoo (masked by: package.mask)
- x11-plugins/compiz-plugins-main-0.8.6-r1::gentoo (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



See this if it is important:
Quote:

localhost / # cat /etc/portage/package.mask



Quote:

localhost / # cat /etc/portage/package.use
x11-wm/compiz-fusion emerald unsupported
dev-vcs/subversion -dso
net-nds/openldap sasl
app-benchmarks/phoronix-test-suite -gtk
app-office/openoffice binfilter nsplugin odk templates
dev-db/mysql embedded
dev-db/sqlite extensions
dev-lang/mono moonlight
dev-lang/php apache2 sockets pcntl
dev-vcs/subversion -dso
media-libs/jpeg static-libs
media-libs/lcms static-libs
media-libs/mlt melt
media-video/devede psyco
media-video/mkvtoolnix wxwidgets
media-video/transcode postproc quicktime subtitles
media-video/vlc cpudetection vcdi wma-fixed vlm skin shinne libtiger lua fluidsynth atmo
net-dns/avahi mdnsresponder-compat
net-misc/curl -gnutls
net-misc/tigervnc server
net-nds/openldap sasl
net-p2p/amule geoip stats
net-print/cups zeroconf
net-print/hplip hpijs udev-acl
sys-cluster/openmpi heterogeneous romio pbs vt
sys-devel/gcc objc-gc objc gcj objc++ graphite
virtual/mysql embedded
x11-libs/cairo lcdfilter
x11-libs/qt-core optimized-qmake
x11-wm/compiz-fusion emerald unsupported
sys-fs/cryptsetup -static
dev-lang/php apache2 sockets pcntl zlib
media-libs/gd zlib



Quote:

localhost / # cat /etc/portage/package.keywords
sys-kernel/gentoo-sources ~amd64
sci-misc/boinc ~amd64
net-im/skype ~amd64
app-portage/portato ~amd64

x11-wm/compiz-fusion ~amd64
x11-apps/fusion-icon ~amd64
dev-python/compizconfig-python ~amd64
x11-wm/compiz ~amd64
x11-libs/libcompizconfig ~amd64
dev-libs/protobuf ~amd64
x11-plugins/compiz-plugins-main ~amd64
x11-plugins/compiz-plugins-extra ~amd64
x11-plugins/compiz-plugins-unsupported ~amd64
x11-libs/compizconfig-backend-gconf ~amd64
x11-libs/compizconfig-backend-kconfig4 ~amd64
x11-apps/ccsm ~amd64
x11-libs/compiz-bcop ~amd64
x11-wm/emerald ~amd64
x11-themes/emerald-themes ~amd64

app-benchmarks/phoronix-test-suite ~amd64

# move dev-php5/pecl-ps dev-php/pecl-ps
dev-php/pecl-ps ~amd64
dev-php5/php-gtk ~amd64

media-video/cinelerra ~amd64
media-tv/xbmc ~amd64
x11-misc/glunarclock ~amd64
=dev-python/rhpl-0.219 ~amd64
x11-misc/cairo-dock ~amd64
sys-apps/gdisk ~amd64
sys-apps/yum ~amd64
dev-python/sqlitecachec ~amd64
=dev-libs/gobject-introspection-0.9.0 ~amd64
www-plugins/moonlight ~amd64
=net-irc/xchat-gnome-0.26.1-r1 ~amd64
=www-plugins/google-talkplugin-2.0.6.0
=www-plugins/google-talkplugin-2.1.7.0 ~amd64


Last edited by conoscenza on Tue Mar 20, 2012 1:42 pm; edited 1 time in total
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Mon Mar 19, 2012 6:04 pm    Post subject: Reply with quote

conoscenza,

had the same problem here - just unmerge sys-fs/ntfsprogs

Good luck :wink:
Back to top
View user's profile Send private message
conoscenza
Tux's lil' helper
Tux's lil' helper


Joined: 25 Dec 2011
Posts: 105
Location: Spinazzola (bt) | Brescia | Parma

PostPosted: Tue Mar 20, 2012 1:42 pm    Post subject: Reply with quote

Thank you!!!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum